/* sc_acp.js
------------ */

stylechanger= {};

stylechanger.constants = Object.freeze({
	OpacityEnabled	: '1',
	OpacityDisabled	: '0.35',
});

stylechanger.setConfig = function () {
	'use strict';

	var sc = stylechanger.constants;

	$('#stylechanger_font_icon').css('opacity', (
			$('input[name="stylechanger_fa_icon_activated"]').prop('checked') == false
		) ? sc.OpacityDisabled : sc.OpacityEnabled
	);
};

stylechanger.customFormReset = function () {
	'use strict';

	$('#acp_stylechanger').trigger("reset");

	stylechanger.setConfig();
};

$(window).ready(function() {
	'use strict';

	stylechanger.setConfig();

	$('input[name="stylechanger_fa_icon_activated"]'	).on('change'	, stylechanger.setConfig);
	$('input[name="form_reset"]'						).on('click'	, stylechanger.customFormReset);
});

$('#sc_font_icon').on('keyup blur', function() {
	'use strict';

	var input = $(this).val();
	var $fa_icon = $(this).next('span');
	$fa_icon.attr('class', 'icon ' + input);
});
